
import React from 'react';
import Icon from 'react-icon-base';

const SlSocialStumbleupon = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M777.2 59.4004c-129.8 0 -236.401 105.601 -237.401 235.4v134c0 7.7998 4 15 10.5996 19.2002s14.7998 4.7998 22 1.39941l57.7998 -27l89.4004 26.7998c7 2 14.4004 0.799805 20.2002 -3.60059s9.2002 -11.2002 9.2002 -18.4004v-134.8c0 -15.4004 12.5996 -28 28 -28 s28 12.5996 28 28v137.4c0 6 2.40039 11.7998 6.60059 16.2002c4.2002 4.2002 10 6.60059 16.2002 6.60059v0h164.2c12.5996 0 22.7998 -10.2002 22.7998 -22.7998v-133.2c-0.200195 -130.8 -106.8 -237.2 -237.6 -237.2zM585.398 392.802v-98.002 c1 -104.6 87 -189.8 191.8 -189.8c105.8 0 191.8 86 191.8 191.8v110.2h-118.6v-114.6c0 -40.5996 -33 -73.5996 -73.5996 -73.5996s-73.7998 33 -73.7998 73.5996v104.2l-68.4004 -20.4004c-5.40039 -1.59961 -11.2002 -1.19922 -16.2002 1.20117zM246.398 59.3994 c-131 0 -237.6 106.4 -237.6 237.4v133c0 12.5996 10.2002 22.7998 22.7998 22.7998h164.2c12.5996 0 22.7998 -10.2002 22.7998 -22.7998v-131.4c0 -15.4004 12.5996 -28 28 -28s28 12.5996 28 28v310c4.59961 129.2 108.6 229.8 237 229.8c129 0 233 -101.2 237 -230.2 v-68.5996c0 -10.2002 -6.59961 -19 -16.3994 -22l-97.7998 -29.2002c-5.40039 -1.59961 -11.2002 -1.19922 -16.2002 1.20117l-65.5996 30.5996c-8 3.7998 -13.2002 11.7998 -13.2002 20.7998v59c0 15.4004 -12.5996 28 -28 28s-28 -12.5996 -28 -28l-0.200195 -306.2 c-1.40039 -129.2 -107.801 -234.2 -236.801 -234.2zM54.5986 406.999l-0.000976562 -110.198c0 -105.8 86 -191.8 191.8 -191.8c104.2 0 190 84.7998 191.4 189l0.200195 305.8c0 40.5996 33 73.5996 73.5996 73.5996c40.5996 0 73.5996 -33 73.5996 -73.5996v-44.4004 l44.5996 -20.7998l73.2002 21.7998v50.7998c-3.2002 103.6 -87.2002 185.199 -191.2 185.199c-103.6 0 -187.6 -81.2002 -191.199 -184.8v-309.2c0 -40.5996 -33 -73.5996 -73.5996 -73.5996s-73.5996 33 -73.5996 73.5996v108.6h-118.8z"/></g>
    </Icon>
);

export default SlSocialStumbleupon;
